NX Open C++ Reference Guide
|
The STL file import builder <br> To create a new instance of this class, use @link Facet::FacetedBodyCollection::CreateSTLImportBuilder Facet::FacetedBodyCollection::CreateSTLImportBuilder @endlink <br>
Default values. More...
Public Types | |
enum | AngularToleranceTypes { AngularToleranceTypesCoarse, AngularToleranceTypesMedium, AngularToleranceTypesFine } |
The angular tolerance types. More... | |
enum | FacetBodyTypes { FacetBodyTypesNx, FacetBodyTypesJt } |
The facet body types. More... | |
enum | STLFileUnitsTypes { STLFileUnitsTypesMeters, STLFileUnitsTypesMillimeters, STLFileUnitsTypesInches } |
The STL file units types. More... | |
Public Member Functions | |
NXOpen::Facet::STLImportBuilder::AngularToleranceTypes | AngularTolerance () |
Returns the angular tolerance Created in NX6.0.0. | |
NXOpen::Facet::STLImportBuilder::FacetBodyTypes | FacetBodyType () |
Returns the facet body type Created in NX6.0.0. | |
NXString | File () |
Returns the STL file Created in NX6.0.0. | |
bool | HideSmoothEdges () |
Returns the indicator for whether to hide smooth edges Created in NX6.0.0. | |
void | SetAngularTolerance (NXOpen::Facet::STLImportBuilder::AngularToleranceTypes angularTolerance) |
Sets the angular tolerance Created in NX6.0.0. | |
void | SetFacetBodyType (NXOpen::Facet::STLImportBuilder::FacetBodyTypes facetBodyType) |
Sets the facet body type Created in NX6.0.0. | |
void | SetFile (const NXString &filename) |
Sets the STL file Created in NX6.0.0. | |
void | SetFile (const char *filename) |
Sets the STL file Created in NX6.0.0. | |
void | SetHideSmoothEdges (bool hideSmoothEdges) |
Sets the indicator for whether to hide smooth edges Created in NX6.0.0. | |
void | SetShowInformationWindow (bool showInformationWindow) |
Sets the indicator for whether to show information window Created in NX6.0.0. | |
void | SetSTLFileUnits (NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes stlFileUnits) |
Sets the STL file units Created in NX6.0.0. | |
bool | ShowInformationWindow () |
Returns the indicator for whether to show information window Created in NX6.0.0. | |
NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes | STLFileUnits () |
Returns the STL file units Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
The STL file import builder <br> To create a new instance of this class, use @link Facet::FacetedBodyCollection::CreateSTLImportBuilder Facet::FacetedBodyCollection::CreateSTLImportBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngularTolerance |
Medium |
FacetBodyType |
Nx |
HideSmoothEdges |
1 |
STLFileUnits |
Millimeters |
ShowInformationWindow |
0 |
Created in NX6.0.0.
NXOpen::Facet::STLImportBuilder::AngularToleranceTypes NXOpen::Facet::STLImportBuilder::AngularTolerance | ( | ) |
Returns the angular tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Facet::STLImportBuilder::FacetBodyTypes NXOpen::Facet::STLImportBuilder::FacetBodyType | ( | ) |
Returns the facet body type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXString NXOpen::Facet::STLImportBuilder::File | ( | ) |
Returns the STL file
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
bool NXOpen::Facet::STLImportBuilder::HideSmoothEdges | ( | ) |
Returns the indicator for whether to hide smooth edges
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Facet::STLImportBuilder::SetAngularTolerance | ( | NXOpen::Facet::STLImportBuilder::AngularToleranceTypes | angularTolerance | ) |
Sets the angular tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
angularTolerance | angulartolerance |
void NXOpen::Facet::STLImportBuilder::SetFacetBodyType | ( | NXOpen::Facet::STLImportBuilder::FacetBodyTypes | facetBodyType | ) |
Sets the facet body type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
facetBodyType | facetbodytype |
void NXOpen::Facet::STLImportBuilder::SetFile | ( | const NXString & | filename | ) |
Sets the STL file
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
filename | filename |
void NXOpen::Facet::STLImportBuilder::SetFile | ( | const char * | filename | ) |
Sets the STL file
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
filename | filename |
void NXOpen::Facet::STLImportBuilder::SetHideSmoothEdges | ( | bool | hideSmoothEdges | ) |
Sets the indicator for whether to hide smooth edges
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
hideSmoothEdges | hidesmoothedges |
void NXOpen::Facet::STLImportBuilder::SetShowInformationWindow | ( | bool | showInformationWindow | ) |
Sets the indicator for whether to show information window
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
showInformationWindow | showinformationwindow |
void NXOpen::Facet::STLImportBuilder::SetSTLFileUnits | ( | NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes | stlFileUnits | ) |
Sets the STL file units
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
stlFileUnits | stlfileunits |
bool NXOpen::Facet::STLImportBuilder::ShowInformationWindow | ( | ) |
Returns the indicator for whether to show information window
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Facet::STLImportBuilder::STLFileUnitsTypes NXOpen::Facet::STLImportBuilder::STLFileUnits | ( | ) |
Returns the STL file units
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")